Bug 1576631 (CVE-2018-0765) - CVE-2018-0765 dotnet: Improper processing of XML documents can allow a remote attacker to cause a denial of service
Summary: CVE-2018-0765 dotnet: Improper processing of XML documents can allow a remote...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-0765
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1576634
TreeView+ depends on / blocked
 
Reported: 2018-05-10 02:01 UTC by Sam Fowler
Modified: 2021-02-17 00:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 10:49:56 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-05-10 02:01:12 UTC
A denial of service vulnerability exists when .NET and .NET Core improperly process XML documents. An attacker who successfully exploited this vulnerability could cause a denial of service against a .NET application.

A remote unauthenticated attacker could exploit this vulnerability by issuing specially crafted requests to a .NET (or .NET core) application.


External References:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-0765
https://github.com/dotnet/announcements/issues/67

Comment 1 Stefan Cornelius 2019-09-27 10:49:56 UTC
This is an issue in the System.Security.Cryptography.Xml package, which is not shipped directly. If you use the System.Security.Cryptography.Xml package in your projects, ensure that you use version 4.4.2 or later.


Note You need to log in before you can comment on or make changes to this bug.